/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2017 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    usbd_config_desc_cc_1.c
 * Purpose: USB Device Custom Class 1 Specific Descriptor Creation
 *----------------------------------------------------------------------------*/

/* USB Device Custom Class 1 Interface 0 Microsoft Extended Properties OS Feature Descriptor */
#if (USBD_CUSTOM_CLASS1_IF0_EN              * \
    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_EN + \
     USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_EN + \
     USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_EN + \
     USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_EN))

typedef const __PACKED_STRUCT {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_DEF
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,0,0)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,0,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,0,1)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,0,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,0,2)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,0,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,0,3)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,0,3)
#endif
#endif
} usbd_cc1_if0_ms_ext_prop_descriptor_t;

extern const usbd_cc1_if0_ms_ext_prop_descriptor_t usbd_cc1_if0_ms_ext_prop_descriptor;
__WEAK const usbd_cc1_if0_ms_ext_prop_descriptor_t usbd_cc1_if0_ms_ext_prop_descriptor __ALIGNED(4) = {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_VAL(USBD_CC1_IF0_MS_EXT_PROP_CNT, USBD_CC1_IF0_MS_EXT_PROP_TOT_LEN)
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,0,0)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,0,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,0,1)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,0,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,0,2)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,0,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,0,3)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,0,3)
#endif
#endif
};
#else
__WEAK const uint8_t usbd_cc1_if0_ms_ext_prop_descriptor;
#endif


/* USB Device Custom Class 1 Interface 1 Microsoft Extended Properties OS Feature Descriptor */
#if (USBD_CUSTOM_CLASS1_IF1_EN              * \
    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_EN + \
     USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_EN + \
     USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_EN + \
     USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_EN))

typedef const __PACKED_STRUCT {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_DEF
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,1,0)
#elif ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,1,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,1,1)
#elif ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,1,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,1,2)
#elif ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,1,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,1,3)
#elif ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,1,3)
#endif
#endif
} usbd_cc1_if1_ms_ext_prop_descriptor_t;

extern const usbd_cc1_if1_ms_ext_prop_descriptor_t usbd_cc1_if1_ms_ext_prop_descriptor;
__WEAK const usbd_cc1_if1_ms_ext_prop_descriptor_t usbd_cc1_if1_ms_ext_prop_descriptor __ALIGNED(4) = {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_VAL(USBD_CC1_IF1_MS_EXT_PROP_CNT, USBD_CC1_IF1_MS_EXT_PROP_TOT_LEN)
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,1,0)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,1,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,1,1)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,1,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,1,2)
#elif ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,1,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF1_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,1,3)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,1,3)
#endif
#endif
};
#else
__WEAK const uint8_t usbd_cc1_if1_ms_ext_prop_descriptor;
#endif


/* USB Device Custom Class 1 Interface 2 Microsoft Extended Properties OS Feature Descriptor */
#if (USBD_CUSTOM_CLASS1_IF2_EN              * \
    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_EN + \
     USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_EN + \
     USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_EN + \
     USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_EN))

typedef const __PACKED_STRUCT {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_DEF
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,2,0)
#elif ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,2,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,2,1)
#elif ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,2,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,2,2)
#elif ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,2,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,2,3)
#elif ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,2,3)
#endif
#endif
} usbd_cc1_if2_ms_ext_prop_descriptor_t;

extern const usbd_cc1_if2_ms_ext_prop_descriptor_t usbd_cc1_if2_ms_ext_prop_descriptor;
__WEAK const usbd_cc1_if2_ms_ext_prop_descriptor_t usbd_cc1_if2_ms_ext_prop_descriptor __ALIGNED(4) = {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_VAL(USBD_CC1_IF2_MS_EXT_PROP_CNT, USBD_CC1_IF2_MS_EXT_PROP_TOT_LEN)
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,2,0)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,2,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,2,1)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,2,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,2,2)
#elif ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,2,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF2_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,2,3)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,2,3)
#endif
#endif
};
#else
__WEAK const uint8_t usbd_cc1_if2_ms_ext_prop_descriptor;
#endif


/* USB Device Custom Class 1 Interface 3 Microsoft Extended Properties OS Feature Descriptor */
#if (USBD_CUSTOM_CLASS1_IF3_EN              * \
    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_EN + \
     USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_EN + \
     USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_EN + \
     USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_EN))

typedef const __PACKED_STRUCT {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_DEF
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,3,0)
#elif ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,3,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,3,1)
#elif ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,3,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,3,2)
#elif ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,3,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_DEF(1,3,3)
#elif ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_DEF(1,3,3)
#endif
#endif
} usbd_cc1_if3_ms_ext_prop_descriptor_t;

extern const usbd_cc1_if3_ms_ext_prop_descriptor_t usbd_cc1_if3_ms_ext_prop_descriptor;
__WEAK const usbd_cc1_if3_ms_ext_prop_descriptor_t usbd_cc1_if3_ms_ext_prop_descriptor __ALIGNED(4) = {
  USBD_MS_OS_FEAT_EXT_PROP_HEADER_VAL(USBD_CC1_IF3_MS_EXT_PROP_CNT, USBD_CC1_IF3_MS_EXT_PROP_TOT_LEN)
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP0_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,3,0)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP0_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,3,0)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP1_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,3,1)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP1_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,3,1)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,3,2)
#elif ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP2_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,3,2)
#endif
#endif
#if    (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_EN != 0)
#if   ((USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 1) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 2) || (USBD_CUSTOM_CLASS1_IF3_OS_EXT_PROP3_DATA_TYP == 6) )
  USBD_MS_OS_FEAT_EXT_PROP_STR_VAL(1,3,3)
#elif ((USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 4) || (USBD_CUSTOM_CLASS1_IF0_OS_EXT_PROP3_DATA_TYP == 5) )
  USBD_MS_OS_FEAT_EXT_PROP_INT_VAL(1,3,3)
#endif
#endif
};
#else
__WEAK const uint8_t usbd_cc1_if3_ms_ext_prop_descriptor;
#endif

#if     defined (__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wcast-qual"
#endif

extern 
usbd_cc_desc_t usbd_cc1_desc;
usbd_cc_desc_t usbd_cc1_desc = { { 
  (uint8_t *)(&usbd_cc1_if0_ms_ext_prop_descriptor),
  (uint8_t *)(&usbd_cc1_if1_ms_ext_prop_descriptor),
  (uint8_t *)(&usbd_cc1_if2_ms_ext_prop_descriptor),
  (uint8_t *)(&usbd_cc1_if3_ms_ext_prop_descriptor) }
};

#if     defined (__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
#pragma clang diagnostic pop
#endif
