/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2017  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.46 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
Licensing information
Licensor:                 SEGGER Software GmbH
Licensed to:              ARM Ltd, 110 Fulbourn Road, CB1 9NJ Cambridge, UK
Licensed SEGGER software: emWin
License number:           GUI-00181
License model:            LES-SLA-20007, Agreement, effective since October 1st 2011 
Licensed product:         MDK-ARM Professional
Licensed platform:        ARM7/9, Cortex-M/R4
Licensed number of seats: -
  0x03, 0x00, 0x00, 0x16, 0x00, 0xDC, 0x03, 0x00, 0x00, 0x16, 0x00, 0xF2, 0x03, 0x00, 0x00, 0x16, 0x00, 0x08, 0x04, 0x00, 0x00, 0x16, 0x00, 0x1E, 0x04, 0x00, 0x00, 0x16, 0x00, 0x34, 0x04, 0x00, 0x00, 0x16, 0x00, 0x4A, 0x04, 0x00, 0x00, 0x16,
  0x00, 0x60, 0x04, 0x00, 0x00, 0x13, 0x00, 0x73, 0x04, 0x00, 0x00, 0x15, 0x00, 0x88, 0x04, 0x00, 0x00, 0x13, 0x00, 0x9B, 0x04, 0x00, 0x00, 0x10, 0x00, 0xAB, 0x04, 0x00, 0x00, 0x13, 0x00, 0xBE, 0x04, 0x00, 0x00, 0x16, 0x00, 0xD4, 0x04, 0x00,
  0x00, 0x26, 0x00, 0xFA, 0x04, 0x00, 0x00, 0x20, 0x00, 0x1A, 0x05, 0x00, 0x00, 0x16, 0x00, 0x30, 0x05, 0x00, 0x00, 0x16, 0x00, 0x46, 0x05, 0x00, 0x00, 0x16, 0x00, 0x5C, 0x05, 0x00, 0x00, 0x16, 0x00, 0x72, 0x05, 0x00, 0x00, 0x16, 0x00, 0x88,
  0x05, 0x00, 0x00, 0x16, 0x00, 0x9E, 0x05, 0x00, 0x00, 0x16, 0x00, 0xB4, 0x05, 0x00, 0x00, 0x16, 0x00, 0xCA, 0x05, 0x00, 0x00, 0x16, 0x00, 0xE0, 0x05, 0x00, 0x00, 0x16, 0x00, 0xF6, 0x05, 0x00, 0x00, 0x16, 0x00, 0x0C, 0x06, 0x00, 0x00, 0x20,
  0x00, 0x2C, 0x06, 0x00, 0x00, 0x16, 0x00, 0x42, 0x06, 0x00, 0x00, 0x16, 0x00, 0x58, 0x06, 0x00, 0x00, 0x16, 0x00, 0x6E, 0x06, 0x00, 0x00, 0x17, 0x00, 0x85, 0x06, 0x00, 0x00, 0x16, 0x00, 0x9B, 0x06, 0x00, 0x00, 0x16, 0x00, 0xB1, 0x06, 0x00,
  0x00, 0x16, 0x00, 0xC7, 0x06, 0x00, 0x00, 0x16, 0x00, 0xDD, 0x06, 0x00, 0x00, 0x20, 0x00, 0xFD, 0x06, 0x00, 0x00, 0x20, 0x00, 0x1D, 0x07, 0x00, 0x00, 0x16, 0x00, 0x33, 0x07, 0x00, 0x00, 0x16, 0x00, 0x49, 0x07, 0x00, 0x00, 0x16, 0x00, 0x5F,
  0x07, 0x00, 0x00, 0x19, 0x00, 0x78, 0x07, 0x00, 0x00, 0x16, 0x00, 0x8E, 0x07, 0x00, 0x00, 0x19, 0x00, 0xA7, 0x07, 0x00, 0x00, 0x11, 0x00, 0xB8, 0x07, 0x00, 0x00, 0x0D, 0x00, 0xC5, 0x07, 0x00, 0x00, 0x0E, 0x00, 0xD3, 0x07, 0x00, 0x00, 0x13,
  0x00, 0xE6, 0x07, 0x00, 0x00, 0x16, 0x00, 0xFC, 0x07, 0x00, 0x00, 0x13, 0x00, 0x0F, 0x08, 0x00, 0x00, 0x16, 0x00, 0x25, 0x08, 0x00, 0x00, 0x13, 0x00, 0x38, 0x08, 0x00, 0x00, 0x16, 0x00, 0x4E, 0x08, 0x00, 0x00, 0x16, 0x00, 0x64, 0x08, 0x00,
  0x00, 0x16, 0x00, 0x7A, 0x08, 0x00, 0x00, 0x16, 0x00, 0x90, 0x08, 0x00, 0x00, 0x19, 0x00, 0xA9, 0x08, 0x00, 0x00, 0x16, 0x00, 0xBF, 0x08, 0x00, 0x00, 0x16, 0x00, 0xD5, 0x08, 0x00, 0x00, 0x1A, 0x00, 0xEF, 0x08, 0x00, 0x00, 0x13, 0x00, 0x02,
  0x09, 0x00, 0x00, 0x13, 0x00, 0x15, 0x09, 0x00, 0x00, 0x16, 0x00, 0x2B, 0x09, 0x00, 0x00, 0x16, 0x00, 0x41, 0x09, 0x00, 0x00, 0x13, 0x00, 0x54, 0x09, 0x00, 0x00, 0x13, 0x00, 0x67, 0x09, 0x00, 0x00, 0x15, 0x00, 0x7C, 0x09, 0x00, 0x00, 0x13,
  0x00, 0x8F, 0x09, 0x00, 0x00, 0x13, 0x00, 0xA2, 0x09, 0x00, 0x00, 0x1A, 0x00, 0xBC, 0x09, 0x00, 0x00, 0x13, 0x00, 0xCF, 0x09, 0x00, 0x00, 0x16, 0x00, 0xE5, 0x09, 0x00, 0x00, 0x13, 0x00, 0xF8, 0x09, 0x00, 0x00, 0x19, 0x00, 0x11, 0x0A,
  0x00, 0x00, 0x18, 0x00, 0x29, 0x0A,
  0x00, 0x00, 0x19, 0x00, 0x42, 0x0A,
  0x00, 0x00, 0x0F, 0x00, 0x04, 0x00, 0x01, 0x00, 0x01, 0x00, 0x00, 0x00, 0x0D, 0x00, 0x01, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x00, 0x80, 0x05, 0x00, 0x03, 0x00, 0x03, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xA0, 0xA0, 0xA0, 0x07, 0x00, 0x08, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x12, 0x12, 0x22, 0xFF, 0x24, 0x24, 0xFF, 0x48, 0x48, 0x48, 0x07, 0x00, 0x05, 0x00, 0x0B, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x70, 0xA8, 0xA0, 0xA0, 0xE0, 0x38, 0x28, 0xA8, 0xA8, 0x70, 0x20,
  0x0C, 0x00, 0x0A,
  0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x02, 0x00, 0x61, 0x00, 0x92, 0x00, 0x92, 0x00, 0x94, 0x00, 0x64, 0x00, 0x09, 0x80, 0x0A,
  0x40, 0x12, 0x40, 0x12, 0x40, 0x21, 0x80, 0x09, 0x00, 0x08, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x30, 0x48, 0x48, 0x48, 0x30, 0x60, 0x92, 0x8A, 0x8C, 0x73, 0x02, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x04, 0x00, 0x03, 0x00, 0x0D, 0x00, 0x01, 0x00,
  0x03, 0x00, 0x01, 0x00, 0x20, 0x40, 0x40, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x40, 0x40, 0x20, 0x04, 0x00, 0x03, 0x00, 0x0D, 0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x40, 0x40, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x40,
  0x40, 0x80, 0x05, 0x00, 0x05, 0x00, 0x04, 0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x20, 0xF8, 0x20, 0x50, 0x08, 0x00, 0x07, 0x00, 0x07, 0x00, 0x01, 0x00, 0x05, 0x00, 0x01, 0x00, 0x10, 0x10, 0x10, 0xFE, 0x10, 0x10, 0x10, 0x04, 0x00, 0x01,
  0x00, 0x03, 0x00, 0x02, 0x00, 0x0C, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x04, 0x00, 0x03, 0x00, 0x01, 0x00, 0x00, 0x00, 0x09, 0x00, 0x01, 0x00, 0xE0, 0x04, 0x00, 0x01, 0x00, 0x01, 0x00, 0x01, 0x00, 0x0C, 0x00, 0x01, 0x00, 0x80, 0x04, 0x00,
  0x04, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x10, 0x10, 0x20, 0x20, 0x20, 0x40, 0x40, 0x40, 0x80, 0x80, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x78, 0x07, 0x00, 0x03, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x20, 0x60, 0xA0, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x04, 0x04, 0x04, 0x08, 0x10, 0x20, 0x40, 0xFC, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x04, 0x04, 0x38, 0x04, 0x04, 0x04, 0x84, 0x78, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x08, 0x18, 0x18, 0x28, 0x28, 0x48, 0x48, 0xFC, 0x08, 0x08, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x7C, 0x40, 0x40, 0x80, 0xF8, 0x84, 0x04, 0x04, 0x84, 0x78, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x80, 0x80, 0xB8, 0xC4, 0x84, 0x84, 0x84, 0x78, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFC, 0x08, 0x08, 0x10, 0x10, 0x20, 0x20, 0x40, 0x40, 0x40, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x84, 0x84, 0x78, 0x84, 0x84, 0x84, 0x84, 0x78, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x78, 0x84, 0x84, 0x84, 0x8C, 0x74, 0x04, 0x04, 0x88, 0x70, 0x04, 0x00, 0x01, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x04, 0x00, 0x01, 0x00,
  0x09, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x08, 0x00, 0x06, 0x00, 0x07, 0x00, 0x01, 0x00, 0x05, 0x00, 0x01, 0x00, 0x04, 0x18, 0x60, 0x80, 0x60, 0x18, 0x04, 0x08, 0x00, 0x07, 0x00,
  0x04, 0x00, 0x00, 0x00, 0x06, 0x00, 0x01, 0x00, 0xFE, 0x00, 0x00, 0xFE, 0x08, 0x00, 0x06, 0x00, 0x07, 0x00, 0x01, 0x00, 0x05, 0x00, 0x01, 0x00, 0x80, 0x60, 0x18, 0x04, 0x18, 0x60, 0x80, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x70, 0x88, 0x88, 0x08, 0x10, 0x20, 0x40, 0x40, 0x00, 0x40, 0x0D, 0x00, 0x0C, 0x00, 0x0D, 0x00, 0x00, 0x00, 0x03, 0x00, 0x02, 0x00, 0x0F, 0x80, 0x30, 0x40, 0x40, 0x20, 0x4E, 0x90, 0x91, 0x90, 0xA0,
  0x90, 0xA1, 0x10, 0xA1, 0x20, 0xA3, 0x20, 0x9D, 0xC0, 0x40, 0x10, 0x20, 0x60, 0x1F, 0x80, 0x09, 0x00, 0x09, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x02, 0x00, 0x08, 0x00, 0x14, 0x00, 0x14, 0x00, 0x14, 0x00, 0x22, 0x00, 0x22, 0x00, 0x7F, 0x00, 0x41, 0x00, 0x80, 0x80, 0x80, 0x80, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFC, 0x82, 0x82, 0x82, 0xFC, 0x82, 0x82, 0x82, 0x82, 0xFC, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x38, 0x44, 0x82, 0x80, 0x80, 0x80, 0x80, 0x82, 0x44, 0x38, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xF8, 0x84, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x84, 0xF8, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFE, 0x80, 0x80, 0x80, 0xFE, 0x80, 0x80, 0x80, 0x80, 0xFE, 0x08, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFC, 0x80, 0x80, 0x80, 0xF8, 0x80, 0x80, 0x80, 0x80, 0x80, 0x0A,
  0x00, 0x08, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x3C, 0x42, 0x81, 0x80, 0x80, 0x8F, 0x81, 0x81, 0x42, 0x3C, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x82, 0x82, 0x82, 0x82, 0xFE, 0x82, 0x82, 0x82, 0x82, 0x82, 0x03, 0x00, 0x01, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x06, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x88, 0x88, 0x70, 0x09, 0x00, 0x08, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x81, 0x82, 0x84, 0x88, 0x90, 0xB0, 0xC8, 0x84, 0x82, 0x81, 0x07, 0x00, 0x06, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xFC, 0x0B, 0x00, 0x09, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x02, 0x00, 0x80, 0x80, 0xC1, 0x80, 0xC1, 0x80, 0xA2, 0x80, 0xA2, 0x80, 0x94, 0x80, 0x94, 0x80, 0x94, 0x80, 0x88, 0x80, 0x88, 0x80, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x82, 0xC2, 0xA2, 0xA2, 0x92, 0x92, 0x8A, 0x8A, 0x86, 0x82, 0x0A,
  0x00, 0x08, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x3C, 0x42, 0x81, 0x81, 0x81, 0x81, 0x81, 0x81, 0x42, 0x3C, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFC, 0x82, 0x82, 0x82, 0x82, 0xFC, 0x80, 0x80, 0x80, 0x80, 0x0A,
  0x00, 0x08, 0x00, 0x0B, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x3C, 0x42, 0x81, 0x81, 0x81, 0x81, 0x81, 0x8D, 0x42, 0x3D, 0x00, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFC, 0x82, 0x82, 0x82, 0x82, 0xFC, 0x88, 0x84, 0x84, 0x82, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x7C, 0x82, 0x82, 0x80, 0x70, 0x0C, 0x02, 0x82, 0x82, 0x7C, 0x07, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0xFE, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x44, 0x38, 0x09, 0x00, 0x0B, 0x00, 0x0A,
  0x00, 0xFF, 0xFF, 0x03, 0x00, 0x02, 0x00, 0x40, 0x40, 0x40, 0x40, 0x20, 0x80, 0x20, 0x80, 0x11, 0x00, 0x11, 0x00, 0x0A,
  0x00, 0x0A,
  0x00, 0x04, 0x00, 0x04, 0x00, 0x0D, 0x00, 0x0D, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x02, 0x00, 0x82, 0x08, 0x85, 0x08, 0x45, 0x10, 0x45, 0x10, 0x45, 0x10, 0x28, 0xA0, 0x28, 0xA0, 0x28, 0xA0, 0x10, 0x40, 0x10, 0x40, 0x07, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x82, 0x44, 0x44, 0x28, 0x10, 0x10, 0x28, 0x44, 0x44, 0x82, 0x09, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x82, 0x44, 0x44, 0x28, 0x28, 0x10, 0x10, 0x10, 0x10, 0x10, 0x07, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x7E, 0x04, 0x08, 0x08, 0x10, 0x10, 0x20, 0x20, 0x40, 0xFE, 0x04, 0x00, 0x02, 0x00, 0x0D, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xC0, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
  0x80, 0xC0, 0x04, 0x00, 0x04, 0x00, 0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x40, 0x40, 0x40, 0x20, 0x20, 0x20, 0x10, 0x10, 0x04, 0x00, 0x02, 0x00, 0x0D, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0xC0, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40,
  0x40, 0xC0, 0x05, 0x00, 0x05, 0x00, 0x05, 0x00, 0x00, 0x00, 0x04, 0x00, 0x01, 0x00, 0x20, 0x50, 0x50, 0x50, 0x88, 0x07, 0x00, 0x07, 0x00, 0x01, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x01, 0x00, 0xFE, 0x04, 0x00, 0x02, 0x00, 0x02, 0x00, 0x01, 0x00,
  0x03, 0x00, 0x01, 0x00, 0x80, 0x40, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x70, 0x88, 0x08, 0x78, 0x88, 0x98, 0x68, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x88, 0xF0, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x70, 0x88, 0x80, 0x80, 0x80, 0x88, 0x70, 0x07, 0x00, 0x05, 0x00,
  0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x08, 0x08, 0x08, 0x68, 0x98, 0x88, 0x88, 0x88, 0x88, 0x78, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x70, 0x88, 0x88, 0xF8, 0x80, 0x88, 0x70, 0x03, 0x00, 0x04, 0x00,
  0x0A,
  0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x30, 0x40, 0x40, 0xE0, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x68, 0x98, 0x88, 0x88, 0x88, 0x98, 0x68, 0x08, 0x88, 0x70, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x88, 0x88, 0x03, 0x00, 0x01, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x03, 0x00, 0x03, 0x00, 0x0D, 0x00, 0xFF, 0xFF, 0x03, 0x00, 0x01, 0x00, 0x20, 0x00, 0x00, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
  0x20, 0xC0, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x88, 0x90, 0xA0, 0xE0, 0x90, 0x90, 0x88, 0x03, 0x00, 0x01, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x0B, 0x00, 0x09, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x02, 0x00, 0xB3, 0x00, 0xCC, 0x80, 0x88, 0x80, 0x88, 0x80, 0x88, 0x80, 0x88,
  0x80, 0x88, 0x80, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0x88, 0x88, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x70, 0x88, 0x88, 0x88, 0x88, 0x88,
  0x70, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0xB0, 0xC8, 0x88, 0x88, 0x88, 0xC8, 0xB0, 0x80, 0x80, 0x80, 0x07, 0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x68, 0x98, 0x88, 0x88, 0x88, 0x98, 0x68, 0x08, 0x08, 0x08, 0x04, 0x00, 0x03, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0xA0, 0xC0, 0x80, 0x80, 0x80, 0x80, 0x80, 0x07, 0x00, 0x05, 0x00,
  0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x70, 0x88, 0x80, 0x70, 0x08, 0x88, 0x70, 0x04, 0x00, 0x03, 0x00, 0x09, 0x00, 0x00, 0x00, 0x04, 0x00, 0x01, 0x00, 0x40, 0x40, 0xE0, 0x40, 0x40, 0x40, 0x40, 0x40, 0x60, 0x07, 0x00, 0x05, 0x00,
  0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x88, 0x88, 0x88, 0x88, 0x88, 0x88, 0x78, 0x05, 0x00, 0x05, 0x00, 0x07, 0x00, 0x00, 0x00, 0x06, 0x00, 0x01, 0x00, 0x88, 0x88, 0x50, 0x50, 0x50, 0x20, 0x20, 0x09, 0x00, 0x09, 0x00, 0x07, 0x00,
  0x00, 0x00, 0x06, 0x00, 0x02, 0x00, 0x88, 0x80, 0x88, 0x80, 0x55, 0x00, 0x55, 0x00, 0x55, 0x00, 0x22, 0x00, 0x22, 0x00, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x88, 0x50, 0x50, 0x20, 0x50, 0x50, 0x88, 0x07,
  0x00, 0x05, 0x00, 0x0A,
  0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0x88, 0x88, 0x50, 0x50, 0x50, 0x20, 0x20, 0x20, 0x20, 0xC0, 0x07, 0x00, 0x05, 0x00, 0x07, 0x00, 0x01, 0x00, 0x06, 0x00, 0x01, 0x00, 0xF8, 0x10, 0x10, 0x20, 0x40, 0x40, 0xF8, 0x04, 0x00, 0x03, 0x00,
  0x0D, 0x00, 0x00, 0x00, 0x03, 0x00, 0x01, 0x00, 0x20, 0x40, 0x40, 0x40, 0x40, 0x40, 0x80, 0x40, 0x40, 0x40, 0x40, 0x40, 0x20, 0x03, 0x00, 0x01, 0x00, 0x0C, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0x80,
  0x80, 0x80, 0x80, 0x80, 0x80, 0x04, 0x00, 0x03, 0x00, 0x0D, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x80, 0x40, 0x40, 0x40, 0x40, 0x40, 0x20, 0x40, 0x40, 0x40, 0x40, 0x40, 0x80, 0x08, 0x00, 0x07, 0x00, 0x03, 0x00, 0x00, 0x00, 0x07, 0x00,
  0x01, 0x00, 0x72, 0x9E, 0x00, 0x00
};

/*************************** End of file ****************************/
