#include <memory.h>

#include "GUI.h"

static unsigned char _acFontABC_16_EXT_XBF[] = {
  0x47, 0x55, 0x49, 0x58, 0x10, 0x00, 0x10, 0x00, 0x0D, 0x00, 0x07, 0x00, 0x0A,
  0x00, 0x41, 0x00, 0x43, 0x00, 0x24, 0x00, 0x00, 0x00, 0x20, 0x00, 0x44, 0x00, 
  0x00, 0x00, 0x16, 0x00, 0x5A, 0x00, 0x00, 0x00, 0x16, 0x00, 0x09, 0x00, 0x09, 
  0x00, 0x0A, 0x00, 0x00, 0x00, 0x03, 0x00, 0x02, 0x00, 0x08, 0x00, 0x14, 0x00, 
  0x14, 0x00, 0x14, 0x00, 0x22, 0x00, 0x22, 0x00, 0x7F, 0x00, 0x41, 0x00, 0x80, 
  0x80, 0x80, 0x80, 0x09, 0x00, 0x07, 0x00, 0x0A, 0x00, 0x01, 0x00, 0x03, 0x00, 
  0x01, 0x00, 0xFC, 0x82, 0x82, 0x82, 0xFC, 0x82, 0x82, 0x82, 0x82, 0xFC, 0x09, 
  0x00, 0x07, 0x00, 0x0A, 0x00, 0x01, 0x00, 0x03, 0x00, 0x01, 0x00, 0x38, 0x44, 
  0x82, 0x80, 0x80, 0x80, 0x80, 0x82, 0x44, 0x38, 0x00
};

static int _cbGetDataXBF(U32 Off, U16 NumBytes, void * pVoid, void * pBuffer) {
  U8 * p;

  p = (U8 *)pVoid;
  //
  // Copy data
  //
  memcpy(pBuffer, p + Off, NumBytes);
  return 0; // Ok
}

void MainTask(void) {
  GUI_FONT     Font;
  GUI_XBF_DATA XBF_Data;

  GUI_Init();
  //
  // Create XBF font
  //
  GUI_XBF_CreateFont(&Font,                           // Pointer to GUI_FONT structure in RAM
                     &XBF_Data,                       // Pointer to GUI_XBF_DATA structure in RAM
                     GUI_XBF_TYPE_PROP_EXT,           // Font type to be created
                     _cbGetDataXBF,                   // Pointer to callback function
                     (void *)_acFontABC_16_EXT_XBF);  // Pointer to be passed to GetData function
  //
  // Draw some text
  //
  GUI_DispStringHCenterAt("ABC", 160, 80);
  while (1) {
    GUI_Delay(100);
  }
}
