
#include "cmsis_os2.h"
#include "GUI.h"

/*----------------------------------------------------------------------------
 *      GUIThread: Thread to run emwin Demos or Templates
 *---------------------------------------------------------------------------*/
#define GUI_THREAD_STK_SZ    (1024U)

static void         GUIThread (void *argument);         /* thread function */
static osThreadId_t GUIThread_tid;                      /* thread id */
static uint64_t     GUIThread_stk[GUI_THREAD_STK_SZ/8]; /* thread stack */

static const osThreadAttr_t GUIThread_attr = {
  .stack_mem  = &GUIThread_stk[0],
  .stack_size = sizeof(GUIThread_stk),
  .priority   = osPriorityIdle 
};

int Init_GUIThread (void) {

  GUIThread_tid = osThreadNew(GUIThread, NULL, &GUIThread_attr);
  if (GUIThread_tid == NULL) {
    return(-1);
  }

  return(0);
}

__NO_RETURN static void GUIThread (void *argument) {
  (void)argument;

  while (1) {
    MainTask();  
    osThreadYield();
  }
}
