/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2017  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.46 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
Licensing information
Licensor:                 SEGGER Software GmbH
Licensed to:              ARM Ltd, 110 Fulbourn Road, CB1 9NJ Cambridge, UK
Licensed SEGGER software: emWin
License number:           GUI-00181
License model:            LES-SLA-20007, Agreement, effective since October 1st 2011 
Licensed product:         MDK-ARM Professional
Licensed platform:        ARM7/9, Cortex-M/R4
Licensed number of seats: -
----------------------------------------------------------------------
* Source file: Icon_Cpp_64x64                                        *
* Dimensions:  64 * 64                                               *
* NumColors:   32bpp: 16777216 + 256                                 *
---------------------------END-OF-HEADER------------------------------
*/

#include <stdlib.h>

#include "GUI.h"

#ifndef GUI_CONST_STORAGE
  #define GUI_CONST_STORAGE const
#endif

extern GUI_CONST_STORAGE GUI_BITMAP bmIcon_Cpp_64x64;

#if (GUI_USE_ARGB == 1)

static GUI_CONST_STORAGE unsigned long _acIcon_Cpp_64x64[] = {
  0x00000000, 0x00000000, 0x00000000, 0x108B0536, 0x708B0536, 0xBF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xDF8B0536, 0x9F8B0536, 0x208B0536, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x608B0536, 0xEF8B0536, 0xFF9A244F, 0xFFC5829B, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 
        0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 
        0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFCC92A7, 0xFFA84468, 0xFF8B0536, 0x808B0536, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x608B0536, 0xFF8B0536, 0xFFCC92A7, 0xFFFFFFFF, 0xFFF1E0E6, 0xFFD4A1B4, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 
        0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 
        0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFE9D0D9, 0xFFFFFFFF, 0xFFDBB1C0, 0xFF921543, 
        0x808B0536, 0x00000000, 0x00000000,
  0x208B0536, 0xEF8B0536, 0xFFCC92A7, 0xFFFFFFFF, 0xFFBE728E, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 0xFFF8EFF2, 0xFFDBB1C0, 
        0xFF8B0536, 0x208B0536, 0x00000000,
  0x8F8B0536, 0xFFA1345C, 0xFFFFFFFF, 0xFFB76381, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 0xFFFFFFFF, 
        0xFFA84468, 0x9F8B0536, 0x00000000,
  0xDF8B0536, 0xFFCC92A7, 0xFFE9D0D9, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 
        0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE9D0D9, 
        0xFFD4A1B4, 0xEF8B0536, 0x00000000,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 
        0xFFE9D0D9, 0xFF8B0536, 0x108B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFAF5375, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFBE728E, 0xFFA84468, 0xFFA84468, 0xFF9A244F, 0xFF8B0536, 0xFFA1345C, 
        0xFFA84468, 0xFFA84468, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFF921543, 0xFF8B0536, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFE9D0D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFFE2C1CD, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF1E0E6, 0xFFE2C1CD, 0xFFF8EFF2, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE9D0D9, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFB76381, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 
        0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFE2C1CD, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFD4A1B4, 0xFFB76381, 0xFFA84468, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 0xFFBE728E, 0xFFDBB1C0, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFCC92A7, 0xFF921543, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF9A244F, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 
        0xFFA84468, 0xFFBE728E, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8EFF2, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA1345C, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFDBB1C0, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFBE728E, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFB76381, 
        0xFFD4A1B4, 0xFFE2C1CD, 0xFFE2C1CD, 0xFFD4A1B4, 0xFFAF5375, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF921543, 0xFFF8EFF2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF1E0E6, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFE9D0D9, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2C1CD, 0xFF921543, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFBE728E, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF921543, 0xFFF8EFF2, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFCC92A7, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFAF5375, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF9A244F, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFF921543, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF921543, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF1E0E6, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFF8EFF2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFD4A1B4, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2C1CD, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFBE728E, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFCC92A7, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFAF5375, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2C1CD, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF9A244F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8EFF2, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE9D0D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFB76381, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFA1345C, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFAF5375, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF1E0E6, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFCC92A7, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8EFF2, 0xFFA1345C, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFB76381, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8EFF2, 0xFF921543, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFB76381, 0xFFF1E0E6, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2C1CD, 0xFFA1345C, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFE9D0D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFDBB1C0, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF9A244F, 0xFFA84468, 0xFFA84468, 0xFF921543, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFAF5375, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFB76381, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFF8EFF2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFBE728E, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 0xFFF8EFF2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2C1CD, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF9A244F, 0xFFD4A1B4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF1E0E6, 0xFFCC92A7, 0xFFB76381, 
        0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFB76381, 0xFFC5829B, 0xFFE9D0D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFC5829B, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFC5829B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFA84468, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA84468, 
        0xFFFFFFFF, 0xFF8B0536, 0x408B0536,
  0xFF8B0536, 0xFFE2C1CD, 0xFFCC92A7, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFBE728E, 
        0xFFF1E0E6, 0xFF8B0536, 0x308B0536,
  0xCF8B0536, 0xFFC5829B, 0xFFF1E0E6, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFD4A1B4, 
        0xFFDBB1C0, 0xFF8B0536, 0x00000000,
  0x8F8B0536, 0xFFA1345C, 0xFFFFFFFF, 0xFFAF5375, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFFFFFFF, 
        0xFFB76381, 0xAF8B0536, 0x00000000,
  0x208B0536, 0xFF8B0536, 0xFFCC92A7, 0xFFF8EFF2, 0xFFA1345C, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFFA1345C, 0xFFF1E0E6, 0xFFE9D0D9, 
        0xFF8B0536, 0x408B0536, 0x00000000,
  0x00000000, 0x808B0536, 0xFF921543, 0xFFE2C1CD, 0xFFFFFFFF, 0xFFDBB1C0, 0xFFBE728E, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 
        0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 
        0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFA84468, 0xFFC5829B, 0xFFDBB1C0, 0xFFFFFFFF, 0xFFE2C1CD, 0xFF921543, 
        0x9F8B0536, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x8F8B0536, 0xFF8B0536, 0xFFB76381, 0xFFDBB1C0, 0xFFF1E0E6, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE9D0D9, 0xFFD4A1B4, 0xFFB76381, 0xFF8B0536, 0x9F8B0536, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x408B0536, 0xAF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 
        0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xFF8B0536, 0xEF8B0536, 0x9F8B0536, 0x408B0536, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x308B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 
        0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 
        0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x408B0536, 0x208B0536, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000
};

#else

static GUI_CONST_STORAGE unsigned long _acIcon_Cpp_64x64[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xEF36058B, 0x8F36058B, 0x4036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x2036058B, 0x6036058B, 0xDF36058B, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x9F36058B, 0x1036058B, 0x004F249A, 0x009B82C5, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 
        0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 
        0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00A792CC, 0x006844A8, 0x0036058B, 0x7F36058B, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0x9F36058B, 0x0036058B, 0x00A792CC, 0x00FFFFFF, 0x00E6E0F1, 0x00B4A1D4, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 
        0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 
        0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x00D9D0E9, 0x00FFFFFF, 0x00C0B1DB, 0x00431592, 
        0x7F36058B, 0xFF000000, 0xFF000000,
  0xDF36058B, 0x1036058B, 0x00A792CC, 0x00FFFFFF, 0x008E72BE, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 0x00F2EFF8, 0x00C0B1DB, 
        0x0036058B, 0xDF36058B, 0xFF000000,
  0x7036058B, 0x005C34A1, 0x00FFFFFF, 0x008163B7, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 0x00FFFFFF, 
        0x006844A8, 0x6036058B, 0xFF000000,
  0x2036058B, 0x00A792CC, 0x00D9D0E9, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 
        0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x00D9D0E9, 
        0x00B4A1D4, 0x1036058B, 0xFF000000,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 
        0x00D9D0E9, 0x0036058B, 0xEF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x007553AF, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x008E72BE, 0x006844A8, 0x006844A8, 0x004F249A, 0x0036058B, 0x005C34A1, 
        0x006844A8, 0x006844A8, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x006844A8, 0x006844A8, 0x00431592, 0x0036058B, 0x006844A8, 0x006844A8, 0x006844A8, 0x00D9D0E9, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x00CDC1E2, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x0036058B, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E6E0F1, 0x00CDC1E2, 0x00F2EFF8, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00D9D0E9, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008163B7, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 
        0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x00CDC1E2, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00B4A1D4, 0x008163B7, 0x006844A8, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 0x008E72BE, 0x00C0B1DB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00A792CC, 0x00431592, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x004F249A, 0x00CDC1E2, 0x00FFFFFF, 0x00FFFFFF, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 
        0x006844A8, 0x008E72BE, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2EFF8, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005C34A1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00C0B1DB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008E72BE, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008163B7, 
        0x00B4A1D4, 0x00CDC1E2, 0x00CDC1E2, 0x00B4A1D4, 0x007553AF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00431592, 0x00F2EFF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E6E0F1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x00D9D0E9, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CDC1E2, 0x00431592, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008E72BE, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00431592, 0x00F2EFF8, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00A792CC, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x007553AF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x004F249A, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00431592, 0x0036058B, 0x0036058B, 0x0036058B, 0x00431592, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E6E0F1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00F2EFF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00B4A1D4, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CDC1E2, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008E72BE, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00A792CC, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x007553AF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CDC1E2, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x004F249A, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2EFF8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00D9D0E9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008163B7, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005C34A1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x007553AF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E6E0F1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00A792CC, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2EFF8, 0x005C34A1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008163B7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2EFF8, 0x00431592, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008163B7, 0x00E6E0F1, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CDC1E2, 0x005C34A1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00D9D0E9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C0B1DB, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x004F249A, 0x006844A8, 0x006844A8, 0x00431592, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x007553AF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008163B7, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x00F2EFF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008E72BE, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 0x00F2EFF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CDC1E2, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x004F249A, 0x00B4A1D4, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E6E0F1, 0x00A792CC, 0x008163B7, 
        0x006844A8, 0x006844A8, 0x006844A8, 0x008163B7, 0x009B82C5, 0x00D9D0E9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x009B82C5, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x009B82C5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x006844A8, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x006844A8, 
        0x00FFFFFF, 0x0036058B, 0xBF36058B,
  0x0036058B, 0x00CDC1E2, 0x00A792CC, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x008E72BE, 
        0x00E6E0F1, 0x0036058B, 0xCF36058B,
  0x3036058B, 0x009B82C5, 0x00E6E0F1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x00B4A1D4, 
        0x00C0B1DB, 0x0036058B, 0xFF000000,
  0x7036058B, 0x005C34A1, 0x00FFFFFF, 0x007553AF, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x00FFFFFF, 
        0x008163B7, 0x5036058B, 0xFF000000,
  0xDF36058B, 0x0036058B, 0x00A792CC, 0x00F2EFF8, 0x005C34A1, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x005C34A1, 0x00E6E0F1, 0x00D9D0E9, 
        0x0036058B, 0xBF36058B, 0xFF000000,
  0xFF000000, 0x7F36058B, 0x00431592, 0x00CDC1E2, 0x00FFFFFF, 0x00C0B1DB, 0x008E72BE, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 
        0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 
        0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x006844A8, 0x009B82C5, 0x00C0B1DB, 0x00FFFFFF, 0x00CDC1E2, 0x00431592, 
        0x6036058B, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x7036058B, 0x0036058B, 0x008163B7, 0x00C0B1DB, 0x00E6E0F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00D9D0E9, 0x00B4A1D4, 0x008163B7, 0x0036058B, 0x6036058B, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xBF36058B, 0x5036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 
        0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x0036058B, 0x1036058B, 0x6036058B, 0xBF36058B, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xCF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 
        0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 
        0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xBF36058B, 0xDF36058B, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000
};

#endif

GUI_CONST_STORAGE GUI_BITMAP bmIcon_Cpp_64x64 = {
  64, // xSize
  64, // ySize
  256, // BytesPerLine
  32, // BitsPerPixel
  (unsigned char *)_acIcon_Cpp_64x64,  // Pointer to picture data
  NULL,  // Pointer to palette
#if (GUI_USE_ARGB == 1)
  GUI_DRAW_BMPM8888I
#else
  GUI_DRAW_BMP8888
#endif
};

/*************************** End of file ****************************/
