/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2017  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.46 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
Licensing information
Licensor:                 SEGGER Software GmbH
Licensed to:              ARM Ltd, 110 Fulbourn Road, CB1 9NJ Cambridge, UK
Licensed SEGGER software: emWin
License number:           GUI-00181
License model:            LES-SLA-20007, Agreement, effective since October 1st 2011 
Licensed product:         MDK-ARM Professional
Licensed platform:        ARM7/9, Cortex-M/R4
Licensed number of seats: -
----------------------------------------------------------------------
* Source file: Icon_FS_64x64                                         *
* Dimensions:  64 * 64                                               *
* NumColors:   32bpp: 16777216 + 256                                 *
---------------------------END-OF-HEADER------------------------------
*/

#include <stdlib.h>

#include "GUI.h"

#ifndef GUI_CONST_STORAGE
  #define GUI_CONST_STORAGE const
#endif

extern GUI_CONST_STORAGE GUI_BITMAP bmIcon_FS_64x64;

#if (GUI_USE_ARGB == 1)

static GUI_CONST_STORAGE unsigned long _acIcon_FS_64x64[] = {
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x60F16533, 0xAFF16533, 0xDFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xEFF16533, 0xBFF16533, 0x60F16533, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x40F16533, 0xDFF16533, 0xFFF26F40, 0xFFF69F80, 0xFFFAC5B3, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFAC5B3, 0xFFF7A88C, 0xFFF26F40, 0xDFF16533, 
        0x30F16533, 0x00000000, 0x00000000,
  0x00000000, 0x50F16533, 0xFFF16533, 0xFFF7A88C, 0xFFFEF5F2, 0xFFFEF5F2, 0xFFFCD9CC, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFFBCFBF, 0xFFFEF5F2, 0xFFFEF5F2, 0xFFF69F80, 
        0xEFF16533, 0x30F16533, 0x00000000,
  0x10F16533, 0xEFF16533, 0xFFF8B299, 0xFFFFFFFF, 0xFFF8B299, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF26F40, 0xFFFAC5B3, 0xFFFFFFFF, 
        0xFFF59573, 0xCFF16533, 0x00000000,
  0x80F16533, 0xFFF3784D, 0xFFFFFFFF, 0xFFF7A88C, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFBCFBF, 
        0xFFFDECE6, 0xFFF16533, 0x40F16533,
  0xCFF16533, 0xFFF8B299, 0xFFFDECE6, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF3784D, 
        0xFFFFFFFF, 0xFFF59573, 0x9FF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF9BCA6, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCE2D9, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAC5B3, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF7A88C, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF48259, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF48259, 0xFFF16533, 0xFFF3784D, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF9BCA6, 0xFFF8B299, 0xFFF9BCA6, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFFAC5B3, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFBCFBF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF7A88C, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF26F40, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF69F80, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFF48259, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFCE2D9, 0xFFFCD9CC, 0xFFFCE2D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF26F40, 0xFFF16533, 0xFFF26F40, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF7A88C, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF7A88C, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF59573, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFBCFBF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF7A88C, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF3784D, 0xFFF16533, 0xFFF26F40, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFBCFBF, 0xFFF8B299, 0xFFFAC5B3, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCE2D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF48259, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 
        0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF69F80, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 
        0xFFFCD9CC, 0xFFFCD9CC, 0xFFFCD9CC, 0xFFFAC5B3, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF7A88C, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF3784D, 0xFFF16533, 0xFFF3784D, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF7A88C, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFAC5B3, 0xFFF8B299, 0xFFFAC5B3, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFF3784D, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF8B299, 0xFFF7A88C, 0xFFF3784D, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFFCE2D9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAC5B3, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF58C66, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xFFF16533, 0xFFFCD9CC, 0xFFF8B299, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF26F40, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCD9CC, 0xFFF8B299, 0xBFF16533,
  0xDFF16533, 0xFFF9BCA6, 0xFFFCD9CC, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFFCE2D9, 0xFFF8B299, 0xBFF16533,
  0x9FF16533, 0xFFF59573, 0xFFFFFFFF, 0xFFF3784D, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF48259, 
        0xFFFFFFFF, 0xFFF48259, 0x8FF16533,
  0x40F16533, 0xFFF16533, 0xFFFDECE6, 0xFFFCD9CC, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF26F40, 0xFFFCE2D9, 
        0xFFFCD9CC, 0xFFF16533, 0x30F16533,
  0x00000000, 0xBFF16533, 0xFFF48259, 0xFFFEF5F2, 0xFFFCE2D9, 0xFFF59573, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 
        0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF16533, 0xFFF26F40, 0xFFF69F80, 0xFFFDECE6, 0xFFFDECE6, 
        0xFFF3784D, 0xAFF16533, 0x00000000,
  0x00000000, 0x10F16533, 0xCFF16533, 0xFFF48259, 0xFFFCD9CC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFFAC5B3, 0xFFF26F40, 
        0xCFF16533, 0x10F16533, 0x00000000,
  0x00000000, 0x00000000, 0x10F16533, 0x9FF16533, 0xFFF16533, 0xFFF3784D, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 
        0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF58C66, 0xFFF16533, 0xEFF16533, 0x80F16533, 
        0x00000000, 0x00000000, 0x00000000
};

#else

static GUI_CONST_STORAGE unsigned long _acIcon_FS_64x64[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x9F3365F1, 0x503365F1, 0x203365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x103365F1, 0x403365F1, 0x9F3365F1, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xBF3365F1, 0x203365F1, 0x00406FF2, 0x00809FF6, 0x00B3C5FA, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00B3C5FA, 0x008CA8F7, 0x00406FF2, 0x203365F1, 
        0xCF3365F1, 0xFF000000, 0xFF000000,
  0xFF000000, 0xAF3365F1, 0x003365F1, 0x008CA8F7, 0x00F2F5FE, 0x00F2F5FE, 0x00CCD9FC, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x00BFCFFB, 0x00F2F5FE, 0x00F2F5FE, 0x00809FF6, 
        0x103365F1, 0xCF3365F1, 0xFF000000,
  0xEF3365F1, 0x103365F1, 0x0099B2F8, 0x00FFFFFF, 0x0099B2F8, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00406FF2, 0x00B3C5FA, 0x00FFFFFF, 
        0x007395F5, 0x303365F1, 0xFF000000,
  0x7F3365F1, 0x004D78F3, 0x00FFFFFF, 0x008CA8F7, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00BFCFFB, 
        0x00E6ECFD, 0x003365F1, 0xBF3365F1,
  0x303365F1, 0x0099B2F8, 0x00E6ECFD, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x004D78F3, 
        0x00FFFFFF, 0x007395F5, 0x603365F1,
  0x003365F1, 0x00CCD9FC, 0x00A6BCF9, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00D9E2FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00B3C5FA, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x008CA8F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x005982F4, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x005982F4, 0x003365F1, 0x004D78F3, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00A6BCF9, 0x0099B2F8, 0x00A6BCF9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x00B3C5FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00BFCFFB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008CA8F7, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00406FF2, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00809FF6, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x005982F4, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00D9E2FC, 0x00CCD9FC, 0x00D9E2FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00406FF2, 0x003365F1, 0x00406FF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x008CA8F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x008CA8F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x007395F5, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00BFCFFB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008CA8F7, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x004D78F3, 0x003365F1, 0x00406FF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00BFCFFB, 0x0099B2F8, 0x00B3C5FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00D9E2FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x005982F4, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 
        0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00809FF6, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 
        0x00CCD9FC, 0x00CCD9FC, 0x00CCD9FC, 0x00B3C5FA, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008CA8F7, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x004D78F3, 0x003365F1, 0x004D78F3, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x008CA8F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00B3C5FA, 0x0099B2F8, 0x00B3C5FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x004D78F3, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x0099B2F8, 0x008CA8F7, 0x004D78F3, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x00D9E2FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00B3C5FA, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00668CF5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x003365F1, 0x00CCD9FC, 0x0099B2F8, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00406FF2, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00CCD9FC, 0x0099B2F8, 0x403365F1,
  0x203365F1, 0x00A6BCF9, 0x00CCD9FC, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x00D9E2FC, 0x0099B2F8, 0x403365F1,
  0x603365F1, 0x007395F5, 0x00FFFFFF, 0x004D78F3, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x005982F4, 
        0x00FFFFFF, 0x005982F4, 0x703365F1,
  0xBF3365F1, 0x003365F1, 0x00E6ECFD, 0x00CCD9FC, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00406FF2, 0x00D9E2FC, 
        0x00CCD9FC, 0x003365F1, 0xCF3365F1,
  0xFF000000, 0x403365F1, 0x005982F4, 0x00F2F5FE, 0x00D9E2FC, 0x007395F5, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 
        0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x003365F1, 0x00406FF2, 0x00809FF6, 0x00E6ECFD, 0x00E6ECFD, 
        0x004D78F3, 0x503365F1, 0xFF000000,
  0xFF000000, 0xEF3365F1, 0x303365F1, 0x005982F4, 0x00CCD9FC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x00B3C5FA, 0x00406FF2, 
        0x303365F1, 0xEF3365F1, 0xFF000000,
  0xFF000000, 0xFF000000, 0xEF3365F1, 0x603365F1, 0x003365F1, 0x004D78F3, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 
        0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x00668CF5, 0x003365F1, 0x103365F1, 0x7F3365F1, 
        0xFF000000, 0xFF000000, 0xFF000000
};

#endif

GUI_CONST_STORAGE GUI_BITMAP bmIcon_FS_64x64 = {
  64, // xSize
  64, // ySize
  256, // BytesPerLine
  32, // BitsPerPixel
  (unsigned char *)_acIcon_FS_64x64,  // Pointer to picture data
  NULL,  // Pointer to palette
#if (GUI_USE_ARGB == 1)
  GUI_DRAW_BMPM8888I
#else
  GUI_DRAW_BMP8888
#endif
};

/*************************** End of file ****************************/
