/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2017  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.46 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
Licensing information
Licensor:                 SEGGER Software GmbH
Licensed to:              ARM Ltd, 110 Fulbourn Road, CB1 9NJ Cambridge, UK
Licensed SEGGER software: emWin
License number:           GUI-00181
License model:            LES-SLA-20007, Agreement, effective since October 1st 2011 
Licensed product:         MDK-ARM Professional
Licensed platform:        ARM7/9, Cortex-M/R4
Licensed number of seats: -
----------------------------------------------------------------------
* Source file: Icon_GUI_64x64                                        *
* Dimensions:  64 * 64                                               *
* NumColors:   32bpp: 16777216 + 256                                 *
---------------------------END-OF-HEADER------------------------------
*/

#include <stdlib.h>

#include "GUI.h"

#ifndef GUI_CONST_STORAGE
  #define GUI_CONST_STORAGE const
#endif

extern GUI_CONST_STORAGE GUI_BITMAP bmIcon_GUI_64x64;

#if (GUI_USE_ARGB == 1)

static GUI_CONST_STORAGE unsigned long _acIcon_GUI_64x64[] = {
  0x00000000, 0x00000000, 0x00000000, 0x10DBC700, 0x70DBC700, 0xBFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xDFDBC700, 0x9FDBC700, 0x20DBC700, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x60DBC700, 0xEFDBC700, 0xFFE0CE20, 0xFFEDE380, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 
        0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 
        0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFEFE78F, 0xFFE4D540, 0xFFDBC700, 0x80DBC700, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x60DBC700, 0xFFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFFBF8DF, 0xFFF2EA9F, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFF8F5CF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFDDCB10, 
        0x80DBC700, 0x00000000, 0x00000000,
  0x20DBC700, 0xEFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFEBE070, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 0xFFFDFCEF, 0xFFF4EEAF, 
        0xFFDBC700, 0x20DBC700, 0x00000000,
  0x8FDBC700, 0xFFE2D230, 0xFFFFFFFF, 0xFFE9DC60, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 0xFFFFFFFF, 
        0xFFE4D540, 0x9FDBC700, 0x00000000,
  0xDFDBC700, 0xFFEFE78F, 0xFFF8F5CF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF8F5CF, 
        0xFFF2EA9F, 0xEFDBC700, 0x00000000,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 
        0xFFF8F5CF, 0xFFDBC700, 0x10DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE0CE20, 0xFFE4D540, 
        0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 
        0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE0CE20, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE6D950, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2D230, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFEBE070, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 
        0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF4EEAF, 0xFFE0CE20, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFF2EA9F, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFFBF8DF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFBF8DF, 0xFFF6F1BF, 
        0xFFFBF8DF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 
        0xFFE4D540, 0xFFE4D540, 0xFFDDCB10, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE2D230, 0xFFEFE78F, 0xFFFBF8DF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFEFE78F, 0xFFE6D950, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE6D950, 0xFFF4EEAF, 0xFFF6F1BF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFE6D950, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFEDE380, 0xFFEDE380, 0xFFF4EEAF, 0xFFF6F1BF, 0xFFDDCB10, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE9DC60, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE0CE20, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF2EA9F, 0xFFE2D230, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEBE070, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF2EA9F, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE9DC60, 0xFFFDFCEF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8F5CF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF2EA9F, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFF2EA9F, 0xFFF8F5CF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFE2D230, 0xFFEBE070, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDDCB10, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFE6D950, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE6D950, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEBE070, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFDFCEF, 0xFFE0CE20, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEFE78F, 0xFFE4D540, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFFBF8DF, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBF8DF, 0xFFE2D230, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFDDCB10, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF2EA9F, 0xFFE9DC60, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFE6D950, 0xFFFDFCEF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE9DC60, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFF4EEAF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE2D230, 0xFFEDE380, 0xFFEDE380, 
        0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEDE380, 0xFFEBE070, 0xFFE2D230, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFEBE070, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBF8DF, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFE0CE20, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8F5CF, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEDE380, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF2EA9F, 0xFFE6D950, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEFE78F, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEFE78F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE9DC60, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBF8DF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE9DC60, 0xFFFDFCEF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBF8DF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE0CE20, 0xFFF8F5CF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF2EA9F, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDDCB10, 0xFFFBF8DF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEBE070, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFE9DC60, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE2D230, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFDFCEF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFEBE070, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF6F1BF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFDFCEF, 0xFFF6F1BF, 
        0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF6F1BF, 0xFFF8F5CF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEDE380, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE9DC60, 0xFFEBE070, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE0CE20, 0xFFE4D540, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE4D540, 
        0xFFFFFFFF, 0xFFDBC700, 0x40DBC700,
  0xFFDBC700, 0xFFF6F1BF, 0xFFEFE78F, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFEBE070, 
        0xFFFBF8DF, 0xFFDBC700, 0x30DBC700,
  0xCFDBC700, 0xFFEDE380, 0xFFFBF8DF, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFF2EA9F, 
        0xFFF6F1BF, 0xFFDBC700, 0x00000000,
  0x8FDBC700, 0xFFE2D230, 0xFFFFFFFF, 0xFFE6D950, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE2D230, 0xFFFFFFFF, 
        0xFFE9DC60, 0xAFDBC700, 0x00000000,
  0x20DBC700, 0xFFDBC700, 0xFFEFE78F, 0xFFFDFCEF, 0xFFE2D230, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFE2D230, 0xFFFBF8DF, 0xFFF8F5CF, 
        0xFFDBC700, 0x40DBC700, 0x00000000,
  0x00000000, 0x80DBC700, 0xFFDDCB10, 0xFFF6F1BF, 0xFFFFFFFF, 0xFFF4EEAF, 0xFFEBE070, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 
        0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 
        0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFE4D540, 0xFFEDE380, 0xFFF4EEAF, 0xFFFFFFFF, 0xFFF6F1BF, 0xFFDDCB10, 
        0x9FDBC700, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x8FDBC700, 0xFFDBC700, 0xFFE9DC60, 0xFFF4EEAF, 0xFFFBF8DF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8F5CF, 0xFFF2EA9F, 0xFFE9DC60, 0xFFDBC700, 0x9FDBC700, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x40DBC700, 0xAFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 
        0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xFFDBC700, 0xEFDBC700, 0x9FDBC700, 0x40DBC700, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x30DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 
        0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 
        0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x40DBC700, 0x20DBC700, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000
};

#else

static GUI_CONST_STORAGE unsigned long _acIcon_GUI_64x64[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xEF00C7DB, 0x8F00C7DB, 0x4000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x2000C7DB, 0x6000C7DB, 0xDF00C7DB, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x9F00C7DB, 0x1000C7DB, 0x0020CEE0, 0x0080E3ED, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 
        0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 
        0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x008FE7EF, 0x0040D5E4, 0x0000C7DB, 0x7F00C7DB, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0x9F00C7DB, 0x0000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x00DFF8FB, 0x009FEAF2, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x00CFF5F8, 0x00FFFFFF, 0x00AFEEF4, 0x0010CBDD, 
        0x7F00C7DB, 0xFF000000, 0xFF000000,
  0xDF00C7DB, 0x1000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x0070E0EB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 0x00EFFCFD, 0x00AFEEF4, 
        0x0000C7DB, 0xDF00C7DB, 0xFF000000,
  0x7000C7DB, 0x0030D2E2, 0x00FFFFFF, 0x0060DCE9, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 0x00FFFFFF, 
        0x0040D5E4, 0x6000C7DB, 0xFF000000,
  0x2000C7DB, 0x008FE7EF, 0x00CFF5F8, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00CFF5F8, 
        0x009FEAF2, 0x1000C7DB, 0xFF000000,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 
        0x00CFF5F8, 0x0000C7DB, 0xEF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0020CEE0, 0x0040D5E4, 
        0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 
        0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0020CEE0, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0050D9E6, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0030D2E2, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x0070E0EB, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 
        0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00AFEEF4, 0x0020CEE0, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x009FEAF2, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x00DFF8FB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00DFF8FB, 0x00BFF1F6, 
        0x00DFF8FB, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 
        0x0040D5E4, 0x0040D5E4, 0x0010CBDD, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0030D2E2, 0x008FE7EF, 0x00DFF8FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x008FE7EF, 0x0050D9E6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0050D9E6, 0x00AFEEF4, 0x00BFF1F6, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AFEEF4, 0x0050D9E6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x0080E3ED, 0x0080E3ED, 0x00AFEEF4, 0x00BFF1F6, 0x0010CBDD, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0060DCE9, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0020CEE0, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009FEAF2, 0x0030D2E2, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0070E0EB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009FEAF2, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0060DCE9, 0x00EFFCFD, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CFF5F8, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009FEAF2, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x009FEAF2, 0x00CFF5F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AFEEF4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0030D2E2, 0x0070E0EB, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0010CBDD, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0050D9E6, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0050D9E6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0070E0EB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00EFFCFD, 0x0020CEE0, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008FE7EF, 0x0040D5E4, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x00DFF8FB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00DFF8FB, 0x0030D2E2, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0010CBDD, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009FEAF2, 0x0060DCE9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0050D9E6, 0x00EFFCFD, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0060DCE9, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x00AFEEF4, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0030D2E2, 0x0080E3ED, 0x0080E3ED, 
        0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0080E3ED, 0x0070E0EB, 0x0030D2E2, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0070E0EB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00DFF8FB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0020CEE0, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CFF5F8, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0080E3ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x009FEAF2, 0x0050D9E6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x008FE7EF, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x008FE7EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0060DCE9, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00DFF8FB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0060DCE9, 0x00EFFCFD, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00DFF8FB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0020CEE0, 0x00CFF5F8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x009FEAF2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AFEEF4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0010CBDD, 0x00DFF8FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0070E0EB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0060DCE9, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0030D2E2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00EFFCFD, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x00BFF1F6, 0x0070E0EB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AFEEF4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x00BFF1F6, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00EFFCFD, 0x00BFF1F6, 
        0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00BFF1F6, 0x00CFF5F8, 0x00FFFFFF, 0x00FFFFFF, 0x00BFF1F6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x0080E3ED, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0060DCE9, 0x0070E0EB, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0020CEE0, 0x0040D5E4, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0040D5E4, 
        0x00FFFFFF, 0x0000C7DB, 0xBF00C7DB,
  0x0000C7DB, 0x00BFF1F6, 0x008FE7EF, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0070E0EB, 
        0x00DFF8FB, 0x0000C7DB, 0xCF00C7DB,
  0x3000C7DB, 0x0080E3ED, 0x00DFF8FB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x009FEAF2, 
        0x00BFF1F6, 0x0000C7DB, 0xFF000000,
  0x7000C7DB, 0x0030D2E2, 0x00FFFFFF, 0x0050D9E6, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0030D2E2, 0x00FFFFFF, 
        0x0060DCE9, 0x5000C7DB, 0xFF000000,
  0xDF00C7DB, 0x0000C7DB, 0x008FE7EF, 0x00EFFCFD, 0x0030D2E2, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0030D2E2, 0x00DFF8FB, 0x00CFF5F8, 
        0x0000C7DB, 0xBF00C7DB, 0xFF000000,
  0xFF000000, 0x7F00C7DB, 0x0010CBDD, 0x00BFF1F6, 0x00FFFFFF, 0x00AFEEF4, 0x0070E0EB, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 
        0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 
        0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0040D5E4, 0x0080E3ED, 0x00AFEEF4, 0x00FFFFFF, 0x00BFF1F6, 0x0010CBDD, 
        0x6000C7DB, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0x7000C7DB, 0x0000C7DB, 0x0060DCE9, 0x00AFEEF4, 0x00DFF8FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00CFF5F8, 0x009FEAF2, 0x0060DCE9, 0x0000C7DB, 0x6000C7DB, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xBF00C7DB, 0x5000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 
        0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x0000C7DB, 0x1000C7DB, 0x6000C7DB, 0xBF00C7DB, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0xCF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 
        0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 
        0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xBF00C7DB, 0xDF00C7DB, 0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000
};

#endif

GUI_CONST_STORAGE GUI_BITMAP bmIcon_GUI_64x64 = {
  64, // xSize
  64, // ySize
  256, // BytesPerLine
  32, // BitsPerPixel
  (unsigned char *)_acIcon_GUI_64x64,  // Pointer to picture data
  NULL,  // Pointer to palette
#if (GUI_USE_ARGB == 1)
  GUI_DRAW_BMPM8888I
#else
  GUI_DRAW_BMP8888
#endif
};

/*************************** End of file ****************************/
