/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2017  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.46 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  ARM LIMITED whose registered office
is situated at  110 Fulbourn Road,  Cambridge CB1 9NJ,  England solely
for  the  purposes  of  creating  libraries  for  ARM7, ARM9, Cortex-M
series,  and   Cortex-R4   processor-based  devices,  sublicensed  and
distributed as part of the  MDK-ARM  Professional  under the terms and
conditions  of  the   End  User  License  supplied  with  the  MDK-ARM
Professional. 
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
Licensing information
Licensor:                 SEGGER Software GmbH
Licensed to:              ARM Ltd, 110 Fulbourn Road, CB1 9NJ Cambridge, UK
Licensed SEGGER software: emWin
License number:           GUI-00181
License model:            LES-SLA-20007, Agreement, effective since October 1st 2011 
Licensed product:         MDK-ARM Professional
Licensed platform:        ARM7/9, Cortex-M/R4
Licensed number of seats: -
----------------------------------------------------------------------
* Source file: Icon_OS_64x64                                         *
* Dimensions:  64 * 64                                               *
* NumColors:   32bpp: 16777216 + 256                                 *
---------------------------END-OF-HEADER------------------------------
*/

#include <stdlib.h>

#include "GUI.h"

#ifndef GUI_CONST_STORAGE
  #define GUI_CONST_STORAGE const
#endif

extern GUI_CONST_STORAGE GUI_BITMAP bmIcon_OS_64x64;

#if (GUI_USE_ARGB == 1)

static GUI_CONST_STORAGE unsigned long _acIcon_OS_64x64[] = {
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x60EA5B27, 0xAFEA5B27, 0xDFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xEFEA5B27, 0xBFEA5B27, 0x60EA5B27, 0x00000000, 
        0x00000000, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x40EA5B27, 0xDFEA5B27, 0xFFEB6535, 0xFFF29978, 0xFFF7C2AE, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFF7C2AE, 0xFFF3A386, 0xFFEB6535, 0xDFEA5B27, 
        0x30EA5B27, 0x00000000, 0x00000000,
  0x00000000, 0x50EA5B27, 0xFFEA5B27, 0xFFF3A386, 0xFFFEF5F2, 0xFFFEF5F2, 0xFFFAD6C9, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF8CCBC, 0xFFFEF5F2, 0xFFFEF5F2, 0xFFF29978, 
        0xEFEA5B27, 0x30EA5B27, 0x00000000,
  0x10EA5B27, 0xEFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEB6535, 0xFFF7C2AE, 0xFFFFFFFF, 
        0xFFF18E6B, 0xCFEA5B27, 0x00000000,
  0x80EA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFF3A386, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF8CCBC, 
        0xFFFCEBE4, 0xFFEA5B27, 0x40EA5B27,
  0xCFEA5B27, 0xFFF5AD93, 0xFFFCEBE4, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 
        0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 
        0xFFFFFFFF, 0xFFF18E6B, 0x9FEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF6B7A1, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBE0D7, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFBE0D7, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF3A386, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 
        0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEF845D, 0xFFEE7A50, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFF8CCBC, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFF7C2AE, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF3A386, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8CCBC, 0xFFF3A386, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFCEBE4, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFF6B7A1, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFEE7A50, 0xFFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFF18E6B, 
        0xFFF29978, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEB6535, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFF18E6B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF7C2AE, 0xFFEB6535, 
        0xFFED7042, 0xFFFBE0D7, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFCEBE4, 0xFFF6B7A1, 0xFFF3A386, 0xFFF18E6B, 0xFFF5AD93, 0xFFF8CCBC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFF5AD93, 0xFFF29978, 0xFFEF845D, 0xFFF5AD93, 
        0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 
        0xFFF3A386, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFFBE0D7, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF3A386, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFED7042, 0xFFFBE0D7, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEE7A50, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFF18E6B, 0xFFF29978, 0xFFEE7A50, 0xFFEA5B27, 0xFFEA5B27, 0xFFEB6535, 0xFFFBE0D7, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEF845D, 0xFFF5AD93, 0xFFF5AD93, 0xFFF29978, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFEB6535, 0xFFEA5B27, 0xFFED7042, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEE7A50, 0xFFEA5B27, 0xFFEF845D, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFF7C2AE, 0xFFEA5B27, 0xFFEA5B27, 0xFFF8CCBC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEB6535, 0xFFEA5B27, 
        0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF7C2AE, 0xFFEA5B27, 0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFF5AD93, 0xFFF5AD93, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFF6B7A1, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEB6535, 0xFFEA5B27, 0xFFF18E6B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEE7A50, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEE7A50, 0xFFED7042, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8CCBC, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEE7A50, 0xFFF3A386, 
        0xFFF8CCBC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6B7A1, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEB6535, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEF845D, 0xFFEA5B27, 0xFFEB6535, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEF845D, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF8CCBC, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFED7042, 0xFFEA5B27, 0xFFEF845D, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 
        0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFF3A386, 0xFFF18E6B, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEF845D, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFEA5B27, 0xFFEA5B27, 0xFFF6B7A1, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFF5AD93, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFF3A386, 0xFFEA5B27, 0xFFEA5B27, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF6B7A1, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF29978, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFEE7A50, 0xFFEA5B27, 0xFFEB6535, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEB6535, 0xFFEA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFF29978, 0xFFEA5B27, 0xFFED7042, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFEB6535, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFF29978, 0xFFF5AD93, 0xFFF7C2AE, 0xFFF3A386, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEE7A50, 0xFFF6B7A1, 0xFFFAD6C9, 0xFFF8CCBC, 
        0xFFF29978, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFBE0D7, 
        0xFFEE7A50, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF29978, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFF18E6B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFF7C2AE, 0xFFF18E6B, 0xFFEE7A50, 0xFFED7042, 0xFFEF845D, 0xFFF3A386, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 0xFFF29978, 0xFFEF845D, 0xFFEA5B27, 0xFFEF845D, 
        0xFFF18E6B, 0xFFF8CCBC, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFEF5F2, 0xFFFAD6C9, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 
        0xFFEE7A50, 0xFFEA5B27, 0xFFEB6535, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFAD6C9, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFEF5F2, 
        0xFFEB6535, 0xFFEA5B27, 0xFFEB6535, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFEF5F2, 0xFFF7C2AE, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFEF5F2, 0xFFFAD6C9, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFEB6535, 0xFFEA5B27, 0xFFEE7A50, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFEB6535, 0xFFEA5B27, 0xFFEB6535, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFF6B7A1, 0xFFFEF5F2, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFF18E6B, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF18E6B, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF5AD93, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEF845D, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF18E6B, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFFAD6C9, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFFAD6C9, 0xFFF5AD93, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF7C2AE, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xFFEA5B27, 0xFFF7C2AE, 0xFFF8CCBC, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFFCEBE4, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFFAD6C9, 0xFFF5AD93, 0xBFEA5B27,
  0xDFEA5B27, 0xFFF29978, 0xFFFEF5F2, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEB6535, 
        0xFFFFFFFF, 0xFFF29978, 0xBFEA5B27,
  0x8FEA5B27, 0xFFEB6535, 0xFFFEF5F2, 0xFFF6B7A1, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFF8CCBC, 
        0xFFFEF5F2, 0xFFEA5B27, 0x8FEA5B27,
  0x20EA5B27, 0xEFEA5B27, 0xFFF29978, 0xFFFFFFFF, 0xFFF6B7A1, 0xFFEB6535, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 
        0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFEA5B27, 0xFFED7042, 0xFFF8CCBC, 0xFFFFFFFF, 
        0xFFF18E6B, 0xFFEA5B27, 0x20EA5B27,
  0x00000000, 0x60EA5B27, 0xFFEA5B27, 0xFFF29978, 0xFFFEF5F2, 0xFFFEF5F2, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 
        0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFAD6C9, 0xFFFBE0D7, 0xFFFFFFFF, 0xFFFCEBE4, 0xFFEF845D, 
        0xFFEA5B27, 0x8FEA5B27, 0x00000000,
  0x00000000, 0x00000000, 0x60EA5B27, 0xEFEA5B27, 0xFFEB6535, 0xFFF29978, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 
        0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFF5AD93, 0xFFEF845D, 0xFFEA5B27, 0xFFEA5B27, 
        0x8FEA5B27, 0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x10EA5B27, 0x70EA5B27, 0xAFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 
        0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 
        0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xBFEA5B27, 0xEFEA5B27, 0xEFEA5B27, 0xBFEA5B27, 0x8FEA5B27, 0x20EA5B27, 
        0x00000000, 0x00000000, 0x00000000
};
#else

static GUI_CONST_STORAGE unsigned long _acIcon_OS_64x64[] = {
  0xFF000000, 0xFF000000, 0xFF000000, 0xFF000000, 0x9F275BEA, 0x50275BEA, 0x20275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x10275BEA, 0x40275BEA, 0x9F275BEA, 0xFF000000, 
        0xFF000000, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xBF275BEA, 0x20275BEA, 0x003565EB, 0x007899F2, 0x00AEC2F7, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00AEC2F7, 0x0086A3F3, 0x003565EB, 0x20275BEA, 
        0xCF275BEA, 0xFF000000, 0xFF000000,
  0xFF000000, 0xAF275BEA, 0x00275BEA, 0x0086A3F3, 0x00F2F5FE, 0x00F2F5FE, 0x00C9D6FA, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x00BCCCF8, 0x00F2F5FE, 0x00F2F5FE, 0x007899F2, 
        0x10275BEA, 0xCF275BEA, 0xFF000000,
  0xEF275BEA, 0x10275BEA, 0x0093ADF5, 0x00FFFFFF, 0x0093ADF5, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x003565EB, 0x00AEC2F7, 0x00FFFFFF, 
        0x006B8EF1, 0x30275BEA, 0xFF000000,
  0x7F275BEA, 0x004270ED, 0x00FFFFFF, 0x0086A3F3, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00BCCCF8, 
        0x00E4EBFC, 0x00275BEA, 0xBF275BEA,
  0x30275BEA, 0x0093ADF5, 0x00E4EBFC, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 
        0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x004270ED, 
        0x00FFFFFF, 0x006B8EF1, 0x60275BEA,
  0x00275BEA, 0x00C9D6FA, 0x00A1B7F6, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00D7E0FB, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00D7E0FB, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0086A3F3, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 
        0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x005D84EF, 0x00507AEE, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00BCCCF8, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00AEC2F7, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0086A3F3, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00BCCCF8, 0x0086A3F3, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00C9D6FA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00E4EBFC, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00A1B7F6, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00F2F5FE, 0x00507AEE, 0x00275BEA, 0x007899F2, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E4EBFC, 0x006B8EF1, 
        0x007899F2, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 
        0x00275BEA, 0x007899F2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x003565EB, 0x00275BEA, 
        0x00275BEA, 0x006B8EF1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AEC2F7, 0x003565EB, 
        0x004270ED, 0x00D7E0FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00E4EBFC, 0x00A1B7F6, 0x0086A3F3, 0x006B8EF1, 0x0093ADF5, 0x00BCCCF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E4EBFC, 0x0093ADF5, 0x007899F2, 0x005D84EF, 0x0093ADF5, 
        0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 
        0x0086A3F3, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00D7E0FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0086A3F3, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x004270ED, 0x00D7E0FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00507AEE, 
        0x00275BEA, 0x00275BEA, 0x004270ED, 0x006B8EF1, 0x007899F2, 0x00507AEE, 0x00275BEA, 0x00275BEA, 0x003565EB, 0x00D7E0FB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x005D84EF, 0x0093ADF5, 0x0093ADF5, 0x007899F2, 
        0x00275BEA, 0x00275BEA, 0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 
        0x00275BEA, 0x007899F2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x003565EB, 0x00275BEA, 0x004270ED, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x00507AEE, 0x00275BEA, 0x005D84EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00AEC2F7, 0x00275BEA, 0x00275BEA, 0x00BCCCF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x007899F2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x003565EB, 0x00275BEA, 
        0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00AEC2F7, 0x00275BEA, 0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x007899F2, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0093ADF5, 0x0093ADF5, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x00275BEA, 0x00275BEA, 
        0x00A1B7F6, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x003565EB, 0x00275BEA, 0x006B8EF1, 0x00FFFFFF, 0x00FFFFFF, 0x00507AEE, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00507AEE, 0x004270ED, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00BCCCF8, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00507AEE, 0x0086A3F3, 
        0x00BCCCF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00A1B7F6, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x003565EB, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x005D84EF, 0x00275BEA, 0x003565EB, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x0093ADF5, 0x005D84EF, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00BCCCF8, 0x00275BEA, 0x00275BEA, 
        0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x004270ED, 0x00275BEA, 0x005D84EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 
        0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x0086A3F3, 0x006B8EF1, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x00275BEA, 0x00275BEA, 
        0x005D84EF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x00275BEA, 0x00275BEA, 0x00A1B7F6, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x0093ADF5, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x0086A3F3, 0x00275BEA, 0x00275BEA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x00A1B7F6, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x007899F2, 0x00275BEA, 
        0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x00507AEE, 0x00275BEA, 0x003565EB, 0x00E4EBFC, 0x00FFFFFF, 0x00FFFFFF, 0x003565EB, 0x00275BEA, 0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x007899F2, 0x00275BEA, 0x004270ED, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 0x003565EB, 
        0x00275BEA, 0x00275BEA, 0x007899F2, 0x0093ADF5, 0x00AEC2F7, 0x0086A3F3, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00507AEE, 0x00A1B7F6, 0x00C9D6FA, 0x00BCCCF8, 
        0x007899F2, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00D7E0FB, 
        0x00507AEE, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x007899F2, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x006B8EF1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00AEC2F7, 0x006B8EF1, 0x00507AEE, 0x004270ED, 0x005D84EF, 0x0086A3F3, 0x00E4EBFC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 0x007899F2, 0x005D84EF, 0x00275BEA, 0x005D84EF, 
        0x006B8EF1, 0x00BCCCF8, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00F2F5FE, 0x00C9D6FA, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 
        0x00507AEE, 0x00275BEA, 0x003565EB, 0x00E4EBFC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00C9D6FA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00F2F5FE, 
        0x003565EB, 0x00275BEA, 0x003565EB, 0x00E4EBFC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00F2F5FE, 0x00AEC2F7, 0x00E4EBFC, 0x00FFFFFF, 0x00F2F5FE, 0x00C9D6FA, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E4EBFC, 0x003565EB, 0x00275BEA, 0x00507AEE, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E4EBFC, 0x003565EB, 0x00275BEA, 0x003565EB, 0x00F2F5FE, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00E4EBFC, 0x00A1B7F6, 0x00F2F5FE, 0x00FFFFFF, 0x00FFFFFF, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x006B8EF1, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x006B8EF1, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x005D84EF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x0093ADF5, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x005D84EF, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x006B8EF1, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00C9D6FA, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00C9D6FA, 0x0093ADF5, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00AEC2F7, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x00275BEA, 0x00AEC2F7, 0x00BCCCF8, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00E4EBFC, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 
        0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00FFFFFF, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00C9D6FA, 0x0093ADF5, 0x40275BEA,
  0x20275BEA, 0x007899F2, 0x00F2F5FE, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x003565EB, 
        0x00FFFFFF, 0x007899F2, 0x40275BEA,
  0x70275BEA, 0x003565EB, 0x00F2F5FE, 0x00A1B7F6, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00BCCCF8, 
        0x00F2F5FE, 0x00275BEA, 0x70275BEA,
  0xDF275BEA, 0x10275BEA, 0x007899F2, 0x00FFFFFF, 0x00A1B7F6, 0x003565EB, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 
        0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x00275BEA, 0x004270ED, 0x00BCCCF8, 0x00FFFFFF, 
        0x006B8EF1, 0x00275BEA, 0xDF275BEA,
  0xFF000000, 0x9F275BEA, 0x00275BEA, 0x007899F2, 0x00F2F5FE, 0x00F2F5FE, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 
        0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00C9D6FA, 0x00D7E0FB, 0x00FFFFFF, 0x00E4EBFC, 0x005D84EF, 
        0x00275BEA, 0x70275BEA, 0xFF000000,
  0xFF000000, 0xFF000000, 0x9F275BEA, 0x10275BEA, 0x003565EB, 0x007899F2, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 
        0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x0093ADF5, 0x005D84EF, 0x00275BEA, 0x00275BEA, 
        0x70275BEA, 0xFF000000, 0xFF000000,
  0xFF000000, 0xFF000000, 0xFF000000, 0xEF275BEA, 0x8F275BEA, 0x50275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 
        0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 
        0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x40275BEA, 0x10275BEA, 0x10275BEA, 0x40275BEA, 0x70275BEA, 0xDF275BEA, 
        0xFF000000, 0xFF000000, 0xFF000000
};

#endif

GUI_CONST_STORAGE GUI_BITMAP bmIcon_OS_64x64 = {
  64, // xSize
  64, // ySize
  256, // BytesPerLine
  32, // BitsPerPixel
  (unsigned char *)_acIcon_OS_64x64,  // Pointer to picture data
  NULL,  // Pointer to palette
#if (GUI_USE_ARGB == 1)
  GUI_DRAW_BMPM8888I
#else
  GUI_DRAW_BMP8888
#endif
};

/*************************** End of file ****************************/
